org.modeshape.jcr.query

## Class XPathQueryResult.XPathQueryResultRowIterator

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator
  - - org.modeshape.jcr.query.JcrQueryResult.SingleSelectorQueryResultRowIterator
    - - org.modeshape.jcr.query.XPathQueryResult.XPathQueryResultRowIterator

- All Implemented Interfaces:
    Iterator, RowIterator, RangeIterator
  Enclosing class:
    XPathQueryResult

      protected static class XPathQueryResult.XPathQueryResultRowIterator
      extends JcrQueryResult.SingleSelectorQueryResultRowIterator

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.query.JcrQueryResult.SingleSelectorQueryResultRowIterator

      `locationIndex, scoreIndex`

    - ### Fields inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator

      `columnNames, columns, context, query`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XPathQueryResult.XPathQueryResultRowIterator(JcrQueryContext context, String query, QueryResults results, Iterator<Object[]> tuples, long numRows)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Row` | `createRow(Node node, Object[] tuple)`

    - ### Methods inherited from class org.modeshape.jcr.query.JcrQueryResult.SingleSelectorQueryResultRowIterator

      `getNextRow`

    - ### Methods inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator

      `getPosition, getPropertyNameForColumnName, getSize, hasNext, hasSelector, jcrDouble, jcrLong, jcrName, jcrName, jcrPath, jcrString, next, nextRow, remove, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathQueryResult.XPathQueryResultRowIterator

          protected XPathQueryResult.XPathQueryResultRowIterator(JcrQueryContext context,
                                                      String query,
                                                      QueryResults results,
                                                      Iterator<Object[]> tuples,
                                                      long numRows)

  - ### Method Detail

    - #### createRow

          protected Row createRow(Node node,
                      Object[] tuple)

      Overrides:
        `createRow` in class `JcrQueryResult.SingleSelectorQueryResultRowIterator`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.